--https://wago.io/V1NFD3AxM
{
  "m": "d",
  "s": "2.2.2.0",
  "c": [
  {
  "yOffset": -210,
  "outline": "None",
  "id": "Target Name",
  "additional_triggers": [],
  "font": "bignoodle",
  "regionType": "text",
  "animation": {
  "main": {
  "colorA": 1,
  "x": 0,
  "duration": "100",
  "colorFunc": return function(r1, g1, b1, a1, r2, g2, b2, a2) local class = UnitClass("target")
  local red, green, blue = 1,1,0

  if class == "Death Knight" then
    red, green, blue = 0.77,0.12,0.23

    elseif class == "Demon Hunter" then
      red, green, blue = 0.64,0.19,0.79  

      elseif class == "Druid" then
        red, green, blue = 1.00,0.49,0.04
        
        elseif class == "Hunter" then
          red, green, blue = 0.67,0.83,0.45

          elseif class == "Mage" then
            red, green, blue = 0.41,0.80,0.94

            elseif class == "Monk" then
              red, green, blue = 0,255,150

              elseif class == "Paladin" then
                red, green, blue = 0.96,0.55,0.73

                elseif class == "Priest" then
                  red, green, blue = 1.00,1.00,1.00

                  elseif class == "Rogue" then
                    red, green, blue = 1.00,0.96,0.41

                    elseif class == "Shaman" then
                      red, green, blue = 0.0,0.44,0.87

                      elseif class == "Warlock" then
                        red, green, blue = 0.58,0.51,0.79   

    else red, green, blue = 0.78,0.61,0.43  -- Warrior, formatted slightly different.
    end
    
    return red, green, blue, 1
  end



  ",
  "y": 0,
  "scalex": 1,
  "scaley": 1,
  "use_color": true,
  "colorType": "custom",
  "rotate": 0,
  "colorG": 1,
  "alpha": 0,
  "type": "custom",
  "colorR": 1,
  "colorB": 1,
  "duration_type": "relative"
}
},
"activeTriggerMode": 0,
"init_completed": 1,
"numTriggers": 1,
"frameStrata": 5,
"displayText": "%n",
"xOffset": 158,
"customText": "function(r1, g1, b1, a1, r2, g2, b2, a2)

local class = UnitClass("target")
local red, green, blue = 1,1,0

if class == "Death Knight" then
  red, green, blue = 0.77,0.12,0.23

  elseif class == "Demon Hunter" then
    red, green, blue = 0.64,0.19,0.79  

    elseif class == "Druid" then
      red, green, blue = 1.00,0.49,0.04

      elseif class == "Hunter" then
        red, green, blue = 0.67,0.83,0.45
        
        elseif class == "Mage" then
          red, green, blue = 0.41,0.80,0.94

          elseif class == "Monk" then
            red, green, blue = 0,255,150

            elseif class == "Paladin" then
              red, green, blue = 0.96,0.55,0.73

              elseif class == "Priest" then
                red, green, blue = 1.00,1.00,1.00

                elseif class == "Rogue" then
                  red, green, blue = 1.00,0.96,0.41

                  elseif class == "Shaman" then
                    red, green, blue = 0.0,0.44,0.87

                    elseif class == "Warlock" then
                      red, green, blue = 0.58,0.51,0.79   

    else red, green, blue = 0.78,0.61,0.43  -- Warrior, formatted slightly different.
    end
    
    return red, green, blue, 1
  end



  ",
  "load": {
  "difficulty": {
  "multi": []
  },
  "faction": {
  "multi": []
  },
  "class": {
  "single": "HUNTER",
  "multi": {
  "DRUID": true
}
},
"talent": {
"multi": []
},
"race": {
"multi": []
},
"role": {
"multi": []
},
"use_name": false,
"use_never": false,
"pvptalent": {
"multi": []
}
},
"trigger": {
"unit": "target",
"use_percenthealth": false,
"unevent": "auto",
"events": "PLAYER_ENTERING_WORLD",
"use_unit": true,
"type": "status",
"custom_type": "status",
"custom_hide": "timed",
"check": "event"
},
"selfPoint": "LEFT",
"untrigger": {
"unit": "target"
},
"width": 53.333267211914,
"height": 17.777723312378,
"fontSize": 18,
"url": "https://wago.io/V1NFD3AxM/1",
"version": 1,
"semver": "1.0.0"
},
{
  "yOffset": -211,
  "outline": "None",
  "color": [
  0,
  0,
  0
  ],
  "additional_triggers": [],
  "font": "bignoodle",
  "regionType": "text",
  "animation": {
  "main": {
  "scalex": 1,
  "x": 0,
  "duration": "100",
  "y": 0,
  "colorFunc": "return function(r1, g1, b1, a1, r2, g2, b2, a2)

  local class = UnitClass("target")
  local red, green, blue = 1,1,0

  if class == "Death Knight" then
    red, green, blue = 0.77,0.12,0.23

    elseif class == "Demon Hunter" then
      red, green, blue = 0.64,0.19,0.79  

      elseif class == "Druid" then
        red, green, blue = 1.00,0.49,0.04
        
        elseif class == "Hunter" then
          red, green, blue = 0.67,0.83,0.45

          elseif class == "Mage" then
            red, green, blue = 0.41,0.80,0.94

            elseif class == "Monk" then
              red, green, blue = 0,255,150

              elseif class == "Paladin" then
                red, green, blue = 0.96,0.55,0.73

                elseif class == "Priest" then
                  red, green, blue = 1.00,1.00,1.00

                  elseif class == "Rogue" then
                    red, green, blue = 1.00,0.96,0.41

                    elseif class == "Shaman" then
                      red, green, blue = 0.0,0.44,0.87

                      elseif class == "Warlock" then
                        red, green, blue = 0.58,0.51,0.79   

    else red, green, blue = 0.78,0.61,0.43  -- Warrior, formatted slightly different.
    end
    
    return red, green, blue, 1
  end



  ",
  "scaley": 1,
  "duration_type": "relative",
  "colorType": "custom",
  "use_color": true,
  "rotate": 0,
  "alpha": 0,
  "colorG": 1,
  "colorR": 1,
  "colorB": 1,
  "colorA": 1
}
},
"activeTriggerMode": 0,
"init_completed": 1,
"numTriggers": 1,
"frameStrata": 4,
"displayText": "%n",
"xOffset": 158.5,
"customText": "function(r1, g1, b1, a1, r2, g2, b2, a2)

local class = UnitClass("target")
local red, green, blue = 1,1,0

if class == "Death Knight" then
  red, green, blue = 0.77,0.12,0.23

  elseif class == "Demon Hunter" then
    red, green, blue = 0.64,0.19,0.79  

    elseif class == "Druid" then
      red, green, blue = 1.00,0.49,0.04

      elseif class == "Hunter" then
        red, green, blue = 0.67,0.83,0.45
        
        elseif class == "Mage" then
          red, green, blue = 0.41,0.80,0.94

          elseif class == "Monk" then
            red, green, blue = 0,255,150

            elseif class == "Paladin" then
              red, green, blue = 0.96,0.55,0.73

              elseif class == "Priest" then
                red, green, blue = 1.00,1.00,1.00

                elseif class == "Rogue" then
                  red, green, blue = 1.00,0.96,0.41

                  elseif class == "Shaman" then
                    red, green, blue = 0.0,0.44,0.87

                    elseif class == "Warlock" then
                      red, green, blue = 0.58,0.51,0.79   

    else red, green, blue = 0.78,0.61,0.43  -- Warrior, formatted slightly different.
    end
    
    return red, green, blue, 1
  end



  ",
  "id": "Target Name Shadow",
  "load": {
  "use_never": false,
  "faction": {
  "multi": []
  },
  "class": {
  "single": "HUNTER",
  "multi": {
  "DRUID": true
}
},
"talent": {
"multi": []
},
"race": {
"multi": []
},
"role": {
"multi": []
},
"use_name": false,
"difficulty": {
"multi": []
},
"pvptalent": {
"multi": []
}
},
"trigger": {
"unit": "target",
"use_percenthealth": false,
"unevent": "auto",
"events": "PLAYER_ENTERING_WORLD",
"use_unit": true,
"type": "status",
"custom_type": "status",
"custom_hide": "timed",
"check": "event"
},
"width": 53.333358764648,
"untrigger": {
"unit": "target"
},
"selfPoint": "LEFT",
"height": 17.777723312378,
"fontSize": 18,
"url": "https://wago.io/V1NFD3AxM/1",
"version": 1,
"semver": "1.0.0"
},
{
  "yOffset": -210,
  "outline": "None",
  "id": "Target HP",
  "additional_triggers": [],
  "font": "bignoodle",
  "regionType": "text",
  "activeTriggerMode": 0,
  "init_completed": 1,
  "numTriggers": 1,
  "frameStrata": 5,
  "displayText": "%c",
  "xOffset": -151,
  "customText": "function()
  if UnitIsDead("target") then
    return "0"
  end

  local health = UnitHealth("target")
  if health >= 1000000 then
        health = string.format("%.1fm", health / 1000000) -- 2.4m
        elseif health >= 10000 then
        health = string.format("%dk", health / 1000) -- 24k, 240k
        elseif health >= 1000 then
        health = string.format("%.1fk", health / 1000) -- 2.4k
      end

      if UnitIsDead("target") then
        return "0"
      end

      local targethp = string.format("%.f", (UnitHealth("target")/UnitHealthMax("target"))*100)

      return string.format("%s | %s", targethp, health)
      end",
      "load": {
      "difficulty": {
      "multi": []
      },
      "faction": {
      "multi": []
      },
      "class": {
      "single": "HUNTER",
      "multi": {
      "DRUID": true
    }
    },
    "talent": {
    "multi": []
    },
    "race": {
    "multi": []
    },
    "role": {
    "multi": []
    },
    "use_name": false,
    "use_never": false,
    "pvptalent": {
    "multi": []
  }
  },
  "trigger": {
  "unit": "target",
  "use_percenthealth": false,
  "unevent": "auto",
  "events": "PLAYER_ENTERING_WORLD",
  "use_unit": true,
  "type": "status",
  "custom_type": "status",
  "custom_hide": "timed",
  "check": "event"
  },
  "selfPoint": "LEFT",
  "untrigger": {
  "unit": "target"
  },
  "width": 15.316210746765,
  "height": 9.8461561203003,
  "fontSize": 10,
  "url": "https://wago.io/V1NFD3AxM/1",
  "version": 1,
  "semver": "1.0.0"
  },
  {
  "yOffset": -211,
  "outline": "None",
  "id": "Target HP Shadow",
  "additional_triggers": [],
  "font": "bignoodle",
  "regionType": "text",
  "activeTriggerMode": 0,
  "init_completed": 1,
  "numTriggers": 1,
  "frameStrata": 4,
  "displayText": "%c",
  "xOffset": -150,
  "customText": "function()
  if UnitIsDead("target") then
    return "0"
  end

  local health = UnitHealth("target")
  if health >= 1000000 then
        health = string.format("%.1fm", health / 1000000) -- 2.4m
        elseif health >= 10000 then
        health = string.format("%dk", health / 1000) -- 24k, 240k
        elseif health >= 1000 then
        health = string.format("%.1fk", health / 1000) -- 2.4k
      end

      if UnitIsDead("target") then
        return "0"
      end

      local targethp = string.format("%.f", (UnitHealth("target")/UnitHealthMax("target"))*100)

      return string.format("%s | %s", targethp, health)
      end",
      "trigger": {
      "unit": "target",
      "use_percenthealth": false,
      "unevent": "auto",
      "events": "PLAYER_ENTERING_WORLD",
      "use_unit": true,
      "type": "status",
      "custom_type": "status",
      "custom_hide": "timed",
      "check": "event"
      },
      "load": {
      "use_never": false,
      "faction": {
      "multi": []
      },
      "class": {
      "single": "HUNTER",
      "multi": {
      "DRUID": true
    }
    },
    "talent": {
    "multi": []
    },
    "race": {
    "multi": []
    },
    "role": {
    "multi": []
    },
    "use_name": false,
    "difficulty": {
    "multi": []
    },
    "pvptalent": {
    "multi": []
  }
  },
  "width": 15.316210746765,
  "color": [
  0,
  0,
  0
  ],
  "untrigger": {
  "unit": "target"
  },
  "selfPoint": "LEFT",
  "height": 9.8461561203003,
  "fontSize": 10,
  "url": "https://wago.io/V1NFD3AxM/1",
  "version": 1,
  "semver": "1.0.0"
  },
  {
  "yOffset": -210,
  "outline": "None",
  "id": "Target MP",
  "additional_triggers": [],
  "font": "bignoodle",
  "regionType": "text",
  "activeTriggerMode": 0,
  "init_completed": 1,
  "numTriggers": 1,
  "frameStrata": 5,
  "displayText": "%c",
  "xOffset": -318,
  "customText": "function()
  if UnitIsDead("target") then
    return "0"
  end

  local power = UnitPower("target")
  if power >= 1000000 then
        power = string.format("%.1fm", power / 1000000) -- 2.4m
        elseif power >= 10000 then
        power = string.format("%dk", power / 1000) -- 24k, 240k
        elseif power >= 1000 then
        power = string.format("%.1fk", power / 1000) -- 2.4k
      end

      if UnitIsDead("target") then
        return "0"
      end

      local powermax = UnitPowerMax("target")
      if powermax >= 1000000 then
        powermax = string.format("%.1fm", powermax / 1000000) -- 2.4m
        elseif powermax >= 10000 then
        powermax = string.format("%dk", powermax / 1000) -- 24k, 240k
        elseif powermax >= 1000 then
        powermax = string.format("%.1fk", powermax / 1000) -- 2.4k
      end
      return string.format("%s | %s", powermax, power)
      end",
      "load": {
      "use_never": false,
      "faction": {
      "multi": []
      },
      "class": {
      "single": "HUNTER",
      "multi": {
      "DRUID": true
    }
    },
    "talent": {
    "multi": []
    },
    "race": {
    "multi": []
    },
    "role": {
    "multi": []
    },
    "use_name": false,
    "difficulty": {
    "multi": []
    },
    "pvptalent": {
    "multi": []
  }
  },
  "trigger": {
  "unit": "target",
  "use_percenthealth": false,
  "unevent": "auto",
  "custom_hide": "timed",
  "events": "PLAYER_ENTERING_WORLD",
  "event": "Power",
  "use_unit": true,
  "custom_type": "status",
  "type": "status",
  "check": "event"
  },
  "width": 13.675245285034,
  "untrigger": {
  "unit": "target"
  },
  "selfPoint": "LEFT",
  "height": 9.8461561203003,
  "fontSize": 10,
  "url": "https://wago.io/V1NFD3AxM/1",
  "version": 1,
  "semver": "1.0.0"
  },
  {
  "yOffset": -211,
  "outline": "None",
  "color": [
  0,
  0,
  0
  ],
  "additional_triggers": [],
  "font": "bignoodle",
  "regionType": "text",
  "activeTriggerMode": 0,
  "init_completed": 1,
  "numTriggers": 1,
  "frameStrata": 4,
  "displayText": "%c",
  "xOffset": -317,
  "customText": "function()
  if UnitIsDead("target") then
    return "0"
  end

  local power = UnitPower("target")
  if power >= 1000000 then
        power = string.format("%.1fm", power / 1000000) -- 2.4m
        elseif power >= 10000 then
        power = string.format("%dk", power / 1000) -- 24k, 240k
        elseif power >= 1000 then
        power = string.format("%.1fk", power / 1000) -- 2.4k
      end

      if UnitIsDead("target") then
        return "0"
      end

      local powermax = UnitPowerMax("target")
      if powermax >= 1000000 then
        powermax = string.format("%.1fm", powermax / 1000000) -- 2.4m
        elseif powermax >= 10000 then
        powermax = string.format("%dk", powermax / 1000) -- 24k, 240k
        elseif powermax >= 1000 then
        powermax = string.format("%.1fk", powermax / 1000) -- 2.4k
      end
      return string.format("%s | %s", powermax, power)
      end",
      "id": "Target MP Shadow",
      "load": {
      "use_never": false,
      "faction": {
      "multi": []
      },
      "class": {
      "single": "HUNTER",
      "multi": {
      "DRUID": true
    }
    },
    "talent": {
    "multi": []
    },
    "race": {
    "multi": []
    },
    "role": {
    "multi": []
    },
    "use_name": false,
    "difficulty": {
    "multi": []
    },
    "pvptalent": {
    "multi": []
  }
  },
  "trigger": {
  "unit": "target",
  "use_percenthealth": false,
  "unevent": "auto",
  "custom_hide": "timed",
  "events": "PLAYER_ENTERING_WORLD",
  "event": "Power",
  "type": "status",
  "custom_type": "status",
  "use_unit": true,
  "check": "event"
  },
  "width": 13.675245285034,
  "untrigger": {
  "unit": "target"
  },
  "selfPoint": "LEFT",
  "height": 9.8461561203003,
  "fontSize": 10,
  "url": "https://wago.io/V1NFD3AxM/1",
  "version": 1,
  "semver": "1.0.0"
  },
  {
  "yOffset": -210,
  "additional_triggers": [],
  "regionType": "aurabar",
  "activeTriggerMode": 0,
  "init_completed": 1,
  "texture": "Kait",
  "xOffset": -6,
  "borderEdge": "1 Pixel",
  "height": 12,
  "borderSize": 2,
  "orientation": "HORIZONTAL_INVERSE",
  "id": "Target Health Bar",
  "backdropColor": [
  0.07843137254902,
  0.07843137254902,
  0.07843137254902,
  1
  ],
  "backgroundColor": [
  0.07843137254902,
  0.07843137254902,
  0.07843137254902,
  1
  ],
  "barColor": [
  0.28235294117647,
  0.28235294117647,
  0.28235294117647
  ],
  "fontFlags": "OUTLINE",
  "borderBackdrop": "Solid",
  "borderOffset": 2,
  "numTriggers": 1,
  "frameStrata": 3,
  "icon": false,
  "border": true,
  "borderColor": [
  0,
  0,
  0,
  1
  ],
  "timer": false,
  "text": false,
  "borderInset": 2,
  "load": {
  "use_never": false,
  "faction": {
  "multi": []
  },
  "class": {
  "single": "HUNTER",
  "multi": {
  "ROGUE": true,
  "MONK": true,
  "PRIEST": true,
  "DEATHKNIGHT": true,
  "WARLOCK": true,
  "HUNTER": true,
  "MAGE": true,
  "DRUID": true,
  "SHAMAN": true,
  "PALADIN": true
}
},
"talent": {
"multi": []
},
"race": {
"multi": []
},
"role": {
"multi": []
},
"use_name": false,
"difficulty": {
"multi": []
},
"name": "Kaitain",
"pvptalent": {
"multi": []
}
},
"trigger": {
"unevent": "auto",
"use_spellName": true,
"unit": "target",
"use_unit": true,
"custom_hide": "timed",
"type": "status",
"spellName": 61304
},
"stacks": false,
"untrigger": {
"unit": "target",
"spellName": 61304
},
"sparkColor": [
null,
null,
null,
0
],
"icon_side": "LEFT",
"width": 300,
"url": "https://wago.io/V1NFD3AxM/1",
"version": 1,
"semver": "1.0.0"
},
{
  "yOffset": -210,
  "borderSize": 2,
  "id": "Target Health Shadow",
  "additional_triggers": [],
  "backdropColor": [
  0.07843137254902,
  0.07843137254902,
  0.07843137254902,
  1
  ],
  "regionType": "aurabar",
  "backgroundColor": [
  0.07843137254902,
  0.07843137254902,
  0.07843137254902
  ],
  "trigger": {
  "spellName": 61304,
  "custom_hide": "timed",
  "use_spellName": true,
  "type": "status",
  "unit": "target",
  "use_unit": true,
  "unevent": "auto"
  },
  "fontFlags": "OUTLINE",
  "borderBackdrop": "Solid",
  "width": 308,
  "borderOffset": 2,
  "barColor": [
  0.28235294117647,
  0.28235294117647,
  null,
  0
  ],
  "numTriggers": 1,
  "texture": "Kait",
  "frameStrata": 2,
  "icon": false,
  "text": false,
  "xOffset": -6,
  "borderInset": 2,
  "timer": false,
  "stacks": false,
  "borderColor": [
  0,
  0,
  0,
  1
  ],
  "load": {
  "use_never": false,
  "faction": {
  "multi": []
  },
  "class": {
  "single": "HUNTER",
  "multi": {
  "MAGE": true,
  "MONK": true,
  "PRIEST": true,
  "DEATHKNIGHT": true,
  "WARLOCK": true,
  "HUNTER": true,
  "ROGUE": true,
  "DRUID": true,
  "SHAMAN": true,
  "PALADIN": true
}
},
"talent": {
"multi": []
},
"race": {
"multi": []
},
"role": {
"multi": []
},
"use_name": false,
"difficulty": {
"multi": []
},
"name": "Kaitain",
"pvptalent": {
"multi": []
}
},
"borderEdge": "1 Pixel",
"init_completed": 1,
"untrigger": {
"unit": "target",
"spellName": 61304
},
"sparkColor": [
null,
null,
null,
0
],
"height": 20,
"activeTriggerMode": 0,
"url": "https://wago.io/V1NFD3AxM/1",
"version": 1,
"semver": "1.0.0"
},
{
  "yOffset": -210,
  "additional_triggers": [],
  "regionType": "aurabar",
  "animation": {
  "main": {
  "scalex": 1,
  "x": 0,
  "duration": "100",
  "colorA": 1,
  "y": 0,
  "colorFunc": "return function(r1, g1, b1, a1, r2, g2, b2, a2)

  local class = UnitClass("target")
  local red, green, blue = 1,1,0

  if class == "Death Knight" then
    red, green, blue = 0.77,0.12,0.23

    elseif class == "Demon Hunter" then
      red, green, blue = 0.64,0.19,0.79  

      elseif class == "Druid" then
        red, green, blue = 1.00,0.49,0.04
        
        elseif class == "Hunter" then
          red, green, blue = 0.67,0.83,0.45

          elseif class == "Mage" then
            red, green, blue = 0.41,0.80,0.94

            elseif class == "Monk" then
              red, green, blue = 0,255,150

              elseif class == "Paladin" then
                red, green, blue = 0.96,0.55,0.73

                elseif class == "Priest" then
                  red, green, blue = 1.00,1.00,1.00

                  elseif class == "Rogue" then
                    red, green, blue = 1.00,0.96,0.41

                    elseif class == "Shaman" then
                      red, green, blue = 0.0,0.44,0.87

                      elseif class == "Warlock" then
                        red, green, blue = 0.58,0.51,0.79   

    else red, green, blue = 0.78,0.61,0.43  -- Warrior, formatted slightly different.
    end
    
    return red, green, blue, 1
  end




  ",
  "scaley": 1,
  "duration_type": "relative",
  "colorType": "custom",
  "rotate": 0,
  "colorG": 1,
  "alpha": 0,
  "type": "custom",
  "colorR": 1,
  "colorB": 1,
  "use_color": true
}
},
"trigger": {
"unevent": "auto",
"use_unit": true,
"unit": "target",
"event": "Power",
"type": "status",
"custom_hide": "timed",
"use_spellName": true,
"spellName": 61304
},
"init_completed": 1,
"texture": "Kait",
"borderColor": [
0,
0,
0,
1
],
"borderEdge": "1 Pixel",
"height": 12,
"borderSize": 2,
"orientation": "HORIZONTAL_INVERSE",
"id": "Target Power Bar",
"backdropColor": [
0.07843137254902,
0.07843137254902,
0.07843137254902,
1
],
"backgroundColor": [
0.07843137254902,
0.07843137254902,
0.07843137254902,
1
],
"barColor": [
0.28235294117647,
0.28235294117647,
0.28235294117647
],
"fontFlags": "OUTLINE",
"borderBackdrop": "Solid",
"borderOffset": 2,
"numTriggers": 1,
"frameStrata": 3,
"icon": false,
"activeTriggerMode": 0,
"xOffset": -248,
"timer": false,
"stacks": false,
"borderInset": 2,
"load": {
"use_never": false,
"faction": {
"multi": []
},
"class": {
"single": "HUNTER",
"multi": {
"MAGE": true,
"MONK": true,
"PRIEST": true,
"DEATHKNIGHT": true,
"WARLOCK": true,
"HUNTER": true,
"ROGUE": true,
"DRUID": true,
"SHAMAN": true,
"PALADIN": true
}
},
"talent": {
"multi": []
},
"race": {
"multi": []
},
"role": {
"multi": []
},
"use_name": false,
"difficulty": {
"multi": []
},
"name": "Kaitain",
"pvptalent": {
"multi": []
}
},
"text": false,
"width": 150,
"untrigger": {
"unit": "target",
"spellName": 61304
},
"sparkColor": [
null,
null,
null,
0
],
"icon_side": "LEFT",
"border": true,
"url": "https://wago.io/V1NFD3AxM/1",
"version": 1,
"semver": "1.0.0"
},
{
  "yOffset": -210,
  "borderSize": 2,
  "id": "Target Power Bar Shadow",
  "additional_triggers": [],
  "init_completed": 1,
  "backdropColor": [
  0.07843137254902,
  0.07843137254902,
  0.07843137254902,
  1
  ],
  "regionType": "aurabar",
  "animation": {
  "main": {
  "scalex": 1,
  "x": 0,
  "duration": "100",
  "y": 0,
  "colorFunc": "return function(r1, g1, b1, a1, r2, g2, b2, a2)

  local class = UnitClass("target")
  local red, green, blue = 1,1,0

  if class == "Death Knight" then
    red, green, blue = 0.77,0.12,0.23

    elseif class == "Demon Hunter" then
      red, green, blue = 0.64,0.19,0.79  

      elseif class == "Druid" then
        red, green, blue = 1.00,0.49,0.04
        
        elseif class == "Hunter" then
          red, green, blue = 0.67,0.83,0.45

          elseif class == "Mage" then
            red, green, blue = 0.41,0.80,0.94

            elseif class == "Monk" then
              red, green, blue = 0,255,150

              elseif class == "Paladin" then
                red, green, blue = 0.96,0.55,0.73

                elseif class == "Priest" then
                  red, green, blue = 1.00,1.00,1.00

                  elseif class == "Rogue" then
                    red, green, blue = 1.00,0.96,0.41

                    elseif class == "Shaman" then
                      red, green, blue = 0.0,0.44,0.87

                      elseif class == "Warlock" then
                        red, green, blue = 0.58,0.51,0.79   

    else red, green, blue = 0.78,0.61,0.43  -- Warrior, formatted slightly different.
    end
    
    return red, green, blue, 1
  end




  ",
  "scaley": 1,
  "colorR": 1,
  "colorType": "custom",
  "duration_type": "relative",
  "rotate": 0,
  "alpha": 0,
  "colorG": 1,
  "use_color": true,
  "colorB": 1,
  "colorA": 1
}
},
"activeTriggerMode": 0,
"fontFlags": "OUTLINE",
"borderBackdrop": "Solid",
"backgroundColor": [
0.07843137254902,
0.07843137254902,
0.07843137254902
],
"borderOffset": 2,
"width": 158,
"numTriggers": 1,
"texture": "Kait",
"frameStrata": 2,
"icon": false,
"borderInset": 2,
"borderColor": [
0,
0,
0,
1
],
"borderEdge": "1 Pixel",
"timer": false,
"text": false,
"stacks": false,
"load": {
"use_never": false,
"faction": {
"multi": []
},
"class": {
"single": "HUNTER",
"multi": {
"MAGE": true,
"MONK": true,
"PRIEST": true,
"DEATHKNIGHT": true,
"WARLOCK": true,
"HUNTER": true,
"PALADIN": true,
"DRUID": true,
"SHAMAN": true,
"ROGUE": true
}
},
"talent": {
"multi": []
},
"race": {
"multi": []
},
"role": {
"multi": []
},
"use_name": false,
"difficulty": {
"multi": []
},
"name": "Kaitain",
"pvptalent": {
"multi": []
}
},
"barColor": [
0.28235294117647,
0.28235294117647,
0.28235294117647,
0
],
"xOffset": -248,
"untrigger": {
"unit": "target",
"spellName": 61304
},
"sparkColor": [
null,
null,
null,
0
],
"height": 20,
"trigger": {
"spellName": 61304,
"custom_hide": "timed",
"use_spellName": true,
"event": "Power",
"type": "status",
"unit": "target",
"use_unit": true,
"unevent": "auto"
},
"url": "https://wago.io/V1NFD3AxM/1",
"version": 1,
"semver": "1.0.0"
}
],
"d": {
"expanded": false,
"frameStrata": 3,
"version": 1,
"id": "Target Unit Frame",
"additional_triggers": [],
"regionType": "group",
"activeTriggerMode": 0,
"selfPoint": "BOTTOMLEFT",
"anchorPoint": "BOTTOM",
"url": "https://wago.io/V1NFD3AxM/1",
"load": {
"difficulty": {
"multi": []
},
"use_class": false,
"role": {
"multi": []
},
"race": {
"multi": []
},
"faction": {
"multi": []
},
"talent": {
"multi": []
},
"pvptalent": {
"multi": []
}
},
"yOffset": 680,
"numTriggers": 1,
"semver": "1.0.0"
},
"v": 1421,
"a": [],
"wagoID": "V1NFD3AxM"
}